Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Block ciphers: AES

## Files
file | aes.c
| AES cipher, code.

file | aes.h
| AES block cipher, header.

## Data Structures
struct | aesParam
## Functions
BEECRYPTAPI int | aesSetup (aesParam *ap, const uint32 *key, int keybits, cipherOperation op)
BEECRYPTAPI int | aesSetIV (aesParam *ap, const uint32 *iv)
BEECRYPTAPI int | aesEncrypt (aesParam *ap, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesDecrypt (aesParam *ap, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesECBEncrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesECBDecrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesCBCEncrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
BEECRYPTAPI int | aesCBCDecrypt (aesParam *ap, int count, uint32 *dst, const uint32 *src)
## Variables
const BEECRYPTAPI blockCipher | aes

## Function Documentation

BEECRYPTAPI int aesCBCDecrypt | ( | aesParam * | ap,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 1272 of file aes.c.

BEECRYPTAPI int aesCBCEncrypt | ( | aesParam * | ap,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 1229 of file aes.c.

BEECRYPTAPI int aesDecrypt | ( | aesParam * | ap,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 1135 of file aes.c. Referenced by aesCBCDecrypt, and aesECBDecrypt.

BEECRYPTAPI int aesECBDecrypt | ( | aesParam * | ap,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 1212 of file aes.c.

BEECRYPTAPI int aesECBEncrypt | ( | aesParam * | ap,
|  | int | count,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 1196 of file aes.c.

BEECRYPTAPI int aesEncrypt | ( | aesParam * | ap,
|  | uint32 * | dst,
|  | const uint32 * | src
| ) |

| Definition at line 995 of file aes.c. Referenced by aesCBCEncrypt, and aesECBEncrypt.

BEECRYPTAPI int aesSetIV | ( | aesParam * | ap,
|  | const uint32 * | iv
| ) |

| Definition at line 893 of file aes.c.

BEECRYPTAPI int aesSetup | ( | aesParam * | ap,
|  | const uint32 * | key,
|  | int | keybits,
|  | cipherOperation | op
| ) |

| Definition at line 760 of file aes.c.

## Variable Documentation

const BEECRYPTAPI blockCipher aes

| Definition at line 46 of file aes.h.